/****************************************************************************
 *
 * This file is part of the CodeMax editor support code.
 *
 * Primary author: Christopher J. Cason.
 *
 * from Persistence of Vision(tm) Ray Tracer version 3.6.
 * Copyright 1991-2003 Persistence of Vision Team
 * Copyright 2003-2004 Persistence of Vision Raytracer Pty. Ltd.
 *---------------------------------------------------------------------------
 * NOTICE: This source code file is provided so that users may experiment
 * with enhancements to POV-Ray and to port the software to platforms other
 * than those supported by the POV-Ray developers. There are strict rules
 * regarding how you are permitted to use this file. These rules are contained
 * in the distribution and derivative versions licenses which should have been
 * provided with this file.
 *
 * These licences may be found online, linked from the end-user license
 * agreement that is located at http://www.povray.org/povlegal.html
 *---------------------------------------------------------------------------
 * This program is based on the popular DKB raytracer version 2.12.
 * DKBTrace was originally written by David K. Buck.
 * DKBTrace Ver 2.0-2.12 were written by David K. Buck & Aaron A. Collins.
 *---------------------------------------------------------------------------
 * Thanks to WinMain Software (http://www.winmain.com/) for providing the (at
 * the time commercial) CodeMax edit control which the POVWIN editor is based.
 *---------------------------------------------------------------------------
 * $File: //depot/misc/win-sourcedist/codemax/AskSave.cpp $
 * $Revision: #1 $
 * $Change: 2944 $
 * $DateTime: 2004/07/05 13:11:12 $
 * $Author: chrisc $
 * $Log$
 *****************************************************************************/

#include <vcl.h>
#pragma hdrstop

#include "AskSave.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TAskSaveForm *AskSaveForm;
//---------------------------------------------------------------------------
__fastcall TAskSaveForm::TAskSaveForm(TComponent* Owner) : TForm(Owner)
{
  FSaveAll = false ;
  FDiscardAll = false ;
}
//---------------------------------------------------------------------------
__fastcall TAskSaveForm::~TAskSaveForm(void)
{
}
//---------------------------------------------------------------------------
void __fastcall TAskSaveForm::SaveAllButtonClick(TObject *Sender)
{
  FSaveAll = true ;
}
//---------------------------------------------------------------------------
void __fastcall TAskSaveForm::FormActivate(TObject *Sender)
{
  FSaveAll = false ;
  FDiscardAll = false ;
}
//---------------------------------------------------------------------------
int __fastcall TAskSaveForm::ShowModal (AnsiString Filename, bool IsGlobal)
{
  Text = "File '" + Filename + "' has been modified" ;
  SaveAllButton->Enabled = IsGlobal ;
//DiscardAllButton->Enabled = IsGlobal ;
  return (TForm::ShowModal ()) ;
}


