/****************************************************************************
 *
 * This file is part of the CodeMax editor support code.
 *
 * Primary author: Christopher J. Cason.
 *
 * from Persistence of Vision(tm) Ray Tracer version 3.6.
 * Copyright 1991-2003 Persistence of Vision Team
 * Copyright 2003-2004 Persistence of Vision Raytracer Pty. Ltd.
 *---------------------------------------------------------------------------
 * NOTICE: This source code file is provided so that users may experiment
 * with enhancements to POV-Ray and to port the software to platforms other
 * than those supported by the POV-Ray developers. There are strict rules
 * regarding how you are permitted to use this file. These rules are contained
 * in the distribution and derivative versions licenses which should have been
 * provided with this file.
 *
 * These licences may be found online, linked from the end-user license
 * agreement that is located at http://www.povray.org/povlegal.html
 *---------------------------------------------------------------------------
 * This program is based on the popular DKB raytracer version 2.12.
 * DKBTrace was originally written by David K. Buck.
 * DKBTrace Ver 2.0-2.12 were written by David K. Buck & Aaron A. Collins.
 *---------------------------------------------------------------------------
 * Thanks to WinMain Software (http://www.winmain.com/) for providing the (at
 * the time commercial) CodeMax edit control which the POVWIN editor is based.
 *---------------------------------------------------------------------------
 * $File: //depot/misc/win-sourcedist/codemax/FileChanged.h $
 * $Revision: #1 $
 * $Change: 2944 $
 * $DateTime: 2004/07/05 13:11:12 $
 * $Author: chrisc $
 * $Log$
 *****************************************************************************/

//---------------------------------------------------------------------------
#ifndef FileChangedH
#define FileChangedH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TFileChangedForm : public TForm
{
__published:	// IDE-managed Components
        TLabel *Info;
        TBitBtn *YesButton;
        TBitBtn *NoButton;
        TBitBtn *HelpButton;
        TBitBtn *CancelButton;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall HelpButtonClick(TObject *Sender);
        
        
private:	// User declarations
public:		// User declarations
        int __fastcall ShowModal (AnsiString Filename) ;
        __fastcall TFileChangedForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFileChangedForm *FileChangedForm;
//---------------------------------------------------------------------------
#endif
