/****************************************************************************
 *
 * This file is part of the CodeMax editor support code.
 *
 * Primary author: Christopher J. Cason.
 *
 * from Persistence of Vision(tm) Ray Tracer version 3.6.
 * Copyright 1991-2003 Persistence of Vision Team
 * Copyright 2003-2004 Persistence of Vision Raytracer Pty. Ltd.
 *---------------------------------------------------------------------------
 * NOTICE: This source code file is provided so that users may experiment
 * with enhancements to POV-Ray and to port the software to platforms other
 * than those supported by the POV-Ray developers. There are strict rules
 * regarding how you are permitted to use this file. These rules are contained
 * in the distribution and derivative versions licenses which should have been
 * provided with this file.
 *
 * These licences may be found online, linked from the end-user license
 * agreement that is located at http://www.povray.org/povlegal.html
 *---------------------------------------------------------------------------
 * This program is based on the popular DKB raytracer version 2.12.
 * DKBTrace was originally written by David K. Buck.
 * DKBTrace Ver 2.0-2.12 were written by David K. Buck & Aaron A. Collins.
 *---------------------------------------------------------------------------
 * Thanks to WinMain Software (http://www.winmain.com/) for providing the (at
 * the time commercial) CodeMax edit control which the POVWIN editor is based.
 *---------------------------------------------------------------------------
 * $File: //depot/misc/win-sourcedist/codemax/cmedit.cpp $
 * $Revision: #1 $
 * $Change: 2944 $
 * $DateTime: 2004/07/05 13:11:12 $
 * $Author: chrisc $
 * $Log$
 *****************************************************************************/

#include <vcl.h>
#pragma hdrstop

USEFORM("EditForm.cpp", ParentForm);
USELIB("povcmax.lib");
USEFORM("SaveFailed.cpp", SaveFailedForm);
USEFORM("AskSave.cpp", AskSaveForm);
USEFORM("RenderSave.cpp", RenderSaveForm);
USEUNIT("InsertChangeThread.cpp");
USEFORM("GenericInput.cpp", GenericInputForm);
USEFORM("PrintOptions.cpp", PrintForm);
USERES("cmedit.res");
USEFORM("FileChanged.cpp", FileChangedForm);
//---------------------------------------------------------------------------
extern HANDLE           EditorSemaphore ;
extern HANDLE           CallerSemaphore ;
extern HANDLE           VCLSemaphore ;
extern HANDLE           EditorMutex ;

int WINAPI DllEntryPoint (HINSTANCE hinst, unsigned long reason, void*)
{
  if (reason == DLL_PROCESS_ATTACH)
  {
    EditorSemaphore = CreateSemaphore (NULL, 1, 1, NULL) ;
    CallerSemaphore = CreateSemaphore (NULL, 0, 1, NULL) ;
    VCLSemaphore = CreateSemaphore (NULL, 0, 1, NULL) ;
    EditorMutex = CreateMutex (NULL, false, "POV-Edit Mutex") ;
    Application->Title = "";
    Application->CreateForm(__classid(TFileChangedForm), &FileChangedForm);
                 }
  return (1) ;
}
//---------------------------------------------------------------------------

