/****************************************************************************
 *                   pvlegal.h
 *
 * This file contains the POV-Ray 3.6 end-user license as a 'C' array.
 *
 * Author: Christopher J. Cason.
 *
 * from Persistence of Vision(tm) Ray Tracer version 3.6.
 * Copyright 1991-2003 Persistence of Vision Team
 * Copyright 2003-2004 Persistence of Vision Raytracer Pty. Ltd.
 *---------------------------------------------------------------------------
 * NOTICE: This source code file is provided so that users may experiment
 * with enhancements to POV-Ray and to port the software to platforms other
 * than those supported by the POV-Ray developers. There are strict rules
 * regarding how you are permitted to use this file. These rules are contained
 * in the distribution and derivative versions licenses which should have been
 * provided with this file.
 *
 * These licences may be found online, linked from the end-user license
 * agreement that is located at http://www.povray.org/povlegal.html
 *---------------------------------------------------------------------------
 * This program is based on the popular DKB raytracer version 2.12.
 * DKBTrace was originally written by David K. Buck.
 * DKBTrace Ver 2.0-2.12 were written by David K. Buck & Aaron A. Collins.
 *---------------------------------------------------------------------------
 * $File: //depot/misc/win-sourcedist/pvlegal.h $
 * $Revision: #1 $
 * $Change: 2944 $
 * $DateTime: 2004/07/05 13:11:12 $
 * $Author: chrisc $
 * $Log$
 *****************************************************************************/

char povlegal_text [] =
{
  "                           POV-Ray Licence Agreement\n"
  "                           GENERAL LICENSE AGREEMENT\n"
  "                               FOR PERSONAL USE\n"
  "                  Persistence of Vision Ray Tracer (POV-Ray)\n"
  "               Version 3.6 License and Terms & Conditions of Use\n"
  "                            version of 7 June 2004\n"
  "                         (also known as POVLEGAL.DOC)\n"
  "\n"
  "Please read  through the  terms and  conditions of  this license  carefully.\n"
  "This  license  is  a  binding  legal  agreement  between you, the 'User' (an\n"
  "individual or single entity) and  Persistence of Vision Raytracer Pty.  Ltd.\n"
  "ACN 105   891 870  (herein also  referred to  as the  \"Company\"), a  company\n"
  "incorporated in the state of Victoria, Australia, for  the product known  as\n"
  "the   \"Persistence  of  Vision  Ray  Tracer\",  also  referred  to  herein as\n"
  "'POV-Ray'.\n"
  "\n"
  "YOUR ATTENTION IS  PARTICULARLY DRAWN TO  THE DISCLAIMER OF  WARRANTY AND NO\n"
  "LIABILITY AND  INDEMNITY PROVISIONS.  TO USE  THE PERSISTENCE  OF VISION RAY\n"
  "TRACER (\"POV-RAY\") YOU MUST  AGREE TO BE BOUND  BY THE TERMS AND  CONDITIONS\n"
  "SET  OUT  IN  THIS  DOCUMENT.  IF  YOU  DO  NOT  AGREE  TO ALL THE TERMS AND\n"
  "CONDITIONS OF USE OF POV-RAY SET  OUT IN THIS LICENSE AGREEMENT, OR  IF SUCH\n"
  "TERMS AND CONDITIONS ARE NOT BINDING  ON YOU IN YOUR JURISDICTION, THEN  YOU\n"
  "MAY  NOT  USE  POV-RAY  IN  ANY  MANNER. THIS GENERAL LICENSE AGREEMENT MUST\n"
  "ACCOMPANY ALL  POV-RAY FILES  WHETHER IN  THEIR OFFICIAL  OR CUSTOM  VERSION\n"
  "FORM. IT  MAY NOT  BE REMOVED  OR MODIFIED.  THIS GENERAL  LICENSE AGREEMENT\n"
  "GOVERNS THE USE OF POV-RAY WORLDWIDE. THIS DOCUMENT SUPERSEDES AND  REPLACES\n"
  "ALL PREVIOUS GENERAL LICENSES.\n"
  "\n"
  "INTRODUCTION\n"
  "\n"
  "This document pertains to  the use of the  Persistence of Vision Ray  Tracer\n"
  "(also known  as POV-Ray).  It applies  to all  POV-Ray program source files,\n"
  "executable (binary)  files, scene  files, documentation  files, help  files,\n"
  "bitmaps  and  other  POV-Ray  files  contained in official Company archives,\n"
  "whether in  full or  any part  thereof, and  are herein  referred to  as the\n"
  "\"Software\". The Company reserves the  right to revise these rules  in future\n"
  "versions and to  make additional rules  to address new  circumstances at any\n"
  "time. Such rules, when made, will  be posted in a revised license  file, the\n"
  "latest  version  of  which  is   available  from  the  Company  website   at\n"
  "http://www.povray.org/povlegal.html.\n"
  "\n"
  "USAGE PROVISIONS\n"
  "\n"
  "Subject  to  the  terms  and  conditions  of  this  agreement, permission is\n"
  "granted to the User to use  the Software and its associated files  to create\n"
  "and render images.  The creator of  a scene file  retains all rights  to any\n"
  "scene  files  they  create,  and  any  images generated by the Software from\n"
  "them. Subject to the other terms  of this license, the User is  permitted to\n"
  "use the Software in a profit-making enterprise, provided such profit  arises\n"
  "primarily  from  use  of  the  Software  and  not  from  distribution of the\n"
  "Software or a work including the Software in whole or part.\n"
  "\n"
  "Please refer  to http://www.povray.org/povlegal.html  for licenses  covering\n"
  "distribution of the Software and works including the Software.\n"
  "\n"
  "The User is also granted the  right to use the scene files,  fonts, bitmaps,\n"
  "and  include  files  distributed  in  the  INCLUDE  and  SCENES\\INCDEMO sub-\n"
  "directories of the  Software in their  own scenes. Such  permission does not\n"
  "extend to any  other files in  the SCENES directory  or its sub-directories.\n"
  "The SCENES files are for the  User's enjoyment and education but may  not be\n"
  "the basis  of any  derivative works  unless the  file in question explicitly\n"
  "grants permission to do such.\n"
  "\n"
  "This licence  does not  grant any  right of  re-distribution or  use in  any\n"
  "manner other  than the  above. The  Company has  separate license  documents\n"
  "that apply to  other uses (such  as re-distribution via  the internet or  on\n"
  "CD) ; please visit  http://www.povray.org/povlegal.html for links to  these.\n"
  "In  particular  you  are  advised  that  the  sale,  lease, or rental of the\n"
  "Software  in  any  form  without  written  authority  from  the  Company  is\n"
  "explicitly prohibited.\n"
  "\n"
  "COPYRIGHT\n"
  "\n"
  "Copyright  1991-2003, Persistence of Vision Team.\n"
  "Copyright  2003-2004, Persistence of Vision Raytracer Pty. Ltd.\n"
  "Windows version Copyright  1996-2003, Christopher Cason.\n"
  "\n"
  "Copyright subsists  in this  Software which  is protected  by Australian and\n"
  "international copyright laws. The Software is NOT PUBLIC DOMAIN.\n"
  "\n"
  "Nothing  in  this  agreement  shall  give  you  any rights in respect of the\n"
  "intellectual property  of the  Company and  you acknowledge  that you do not\n"
  "acquire any  rights in  respect of  such intellectual  property rights.  You\n"
  "acknowledge that the Software is  the valuable intellectual property of  the\n"
  "Company  and  that  if  you  use,  modify  or  distribute  the  Software for\n"
  "unauthorized purposes or  in an unauthorized  manner (or cause  or allow the\n"
  "forgoing to occur),  you will be  liable to the  Company for any  damages it\n"
  "may suffer (and which  you acknowledge it may  suffer) as well as  statutory\n"
  "damages to  the maximum  extent permitted  by law  and also  that you may be\n"
  "liable to criminal  prosecution. You indemnify  the Company and  the authors\n"
  "of  the   Software  for   every   single   consequence  flowing   from   the\n"
  "aforementioned events.\n"
  "\n"
  "DISCLAIMER OF WARRANTY\n"
  "\n"
  "This Software  is provided  on an  \"AS IS\"  basis, without  warranty of  any\n"
  "kind,  express  or  implied,  including  without  limitation,  any   implied\n"
  "warranties  of  merchantability,  fitness  for  a  particular  purpose   and\n"
  "non-infringement of intellectual property of any third party. This  Software\n"
  "has inherent limitations including  design faults and programming  bugs. The\n"
  "entire risk as to  the quality and performance  of the Software is  borne by\n"
  "you, and it is your responsibility  to ensure that it does what  you require\n"
  "it to  do prior  to using  it for  any purpose  (other than testing it), and\n"
  "prior  to  distributing  it  in  any  fashion.  Should  the  Software  prove\n"
  "defective, you agree that you alone assume the entire cost resulting in  any\n"
  "way from such defect.\n"
  "\n"
  "This disclaimer of  warranty constitutes an  essential and material  term of\n"
  "this  agreement.  If  you  do  not  or  cannot  accept  this,  or  if  it is\n"
  "unenforceable in  your jurisdiction,  then you  may not  use the Software in\n"
  "any manner.\n"
  "\n"
  "NO LIABILITY\n"
  "\n"
  "When you use the Software you acknowledge and accept that you do so at  your\n"
  "sole risk. You agree  that under no circumstances  shall you have any  claim\n"
  "against the  Company or  anyone associated  directly or  indirectly with the\n"
  "Company  whether   as  employee,   subcontractor,  agent,    representative,\n"
  "consultant,  licensee  or  otherwise  (\"Company  Associates\")  for any loss,\n"
  "damages,  harm,   injury,  expense,   work  stoppage,   loss  of    business\n"
  "information, business  interruption, computer  failure or  malfunction which\n"
  "may be  suffered by  you or  by any  third party  from any cause whatsoever,\n"
  "howsoever  arising,  in  connection  with  your  use  or distribution of the\n"
  "Software even where the Company were aware, or ought to have been aware,  of\n"
  "the potential of such loss. Damages referred to above shall include  direct,\n"
  "indirect, general, special, incidental, punitive and/or consequential.\n"
  "\n"
  "This disclaimer of liability constitutes  an essential and material term  of\n"
  "this  agreement.  If  you  do  not  or  cannot  accept  this,  or  if  it is\n"
  "unenforceable in your jurisdiction, then you may not use the Software.\n"
  "\n"
  "INDEMNITY\n"
  "\n"
  "You indemnify  the Company  and Company  Associates and  hold them  harmless\n"
  "against any  claims which  may arise  from any  loss, damages, harm, injury,\n"
  "expense,   work   stoppage,   loss   of   business   information,   business\n"
  "interruption, computer failure or malfunction, which may be suffered by  you\n"
  "or any other  party whatsoever as  a consequence of  any act or  omission of\n"
  "the Company  and/or Company  Associates, whether  negligent or  not, arising\n"
  "out of  your use  and/or distribution  of the  Software, or  from any  other\n"
  "cause whatsoever, howsoever arising, in connection with the Software.  These\n"
  "provisions are binding on  your estate, heirs, executors,  legal successors,\n"
  "administrators, parents and/or guardians.\n"
  "\n"
  "This  indemnification  constitutes  an  essential  and material term of this\n"
  "agreement. If you do  not or cannot accept  this, or if it  is unenforceable\n"
  "in your jurisdiction, then you may not use the Software.\n"
  "\n"
  "HIGH RISK ACTIVITIES\n"
  "\n"
  "This  Software   and  the   output  produced   by  this   Software  is   not\n"
  "fault-tolerant and  is not  designed, manufactured  or intended  for use  as\n"
  "on-line  control  equipment  in  hazardous  environments requiring fail-safe\n"
  "performance, in which the failure of the Software could lead or directly  or\n"
  "indirectly to death,  personal injury, or  severe physical or  environmental\n"
  "damage  (\"High  Risk  Activities\").  The  Company specifically disclaims any\n"
  "express  or  implied  warranty  of  fitness  for  High  Risk  Activities and\n"
  "explicitly prohibits the use of the Software for such purposes.\n"
  "\n"
  "MISCELLANEOUS\n"
  "\n"
  "This Agreement constitutes the  complete agreement concerning this  license.\n"
  "Any changes to this  agreement must be in  writing and may take  the form of\n"
  "notifications by  the Company  to you,  or through  posting notifications on\n"
  "the Company website.  THE USE OF  THIS SOFTWARE BY  ANY PERSON OR  ENTITY IS\n"
  "EXPRESSLY  MADE  CONDITIONAL  ON  THEIR  ACCEPTANCE  OF  THE TERMS SET FORTH\n"
  "HEREIN.\n"
  "\n"
  "Except where explicitly  stated otherwise herein,  if any provision  of this\n"
  "Agreement  is  found  to  be  invalid  or  unenforceable,  the invalidity or\n"
  "unenforceability of such provision shall not affect the other provisions  of\n"
  "this  agreement,  and  all  provisions  not  affected  by such invalidity or\n"
  "unenforceability shall remain  in full force  and effect. In  such cases you\n"
  "agree to attempt to substitute  for each invalid or unenforceable  provision\n"
  "a  valid  or  enforceable  provision  which  achieves to the greatest extent\n"
  "possible,  the  objectives  and  intention  of  the invalid or unenforceable\n"
  "provision.  The  validity  and  interpretation  of  this  agreement  will be\n"
  "governed by  the laws  of Australia  in the  state of  Victoria (except  for\n"
  "conflict of law provisions).\n"
  "\n"
  "CONTACT INFORMATION\n"
  "\n"
  "License inquiries can  be made via  email; please use  the following address\n"
  "(but see below prior to emailing) :\n"
  "\n"
  "    team-coord-[three-letter month]-[four-digit year]@povray.org\n"
  "\n"
  "for example, team-coord-jun-2004@povray.org  should be used  if at the  time\n"
  "you  send  the  email  it  is  the  month  of  June 2004. The changing email\n"
  "addresses  are  necessary  to  combat  spam  and  email  viruses.  Old email\n"
  "addresses may be deleted at our discretion.\n"
  "\n"
  "Note that the  above address may  change for reasons  other than that  given\n"
  "above;  please  check  the   version  of  this  document   on  the  WWW   at\n"
  "http://www.povray.org/povlegal.html  for  the  current  address.   Note that\n"
  "your inability or failure to contact us for any reason is not an excuse  for\n"
  "violating this licence.\n"
  "\n"
  "Do NOT send  any attachments of  any sort other  than by prior  arrangement.\n"
  "EMAIL MESSAGES INCLUDING ATTACHMENTS WILL BE DELETED UNREAD.\n"
  "\n"
  "The following postal address is  only for official license business.  Please\n"
  "note that it is preferred that  initial queries about licensing be made  via\n"
  "email ; postal mail should only be used when email is not possible, or  when\n"
  "written documents are being exchanged by prior arrangement.\n"
  "\n"
  " Persistence of Vision Raytracer Pty. Ltd.\n"
  " PO Box 407\n"
  " Williamstown,\n"
  " Victoria 3016\n"
  " Australia\n"
} ;

